
import random
import redis

def random_key_generation(size=10):
    # This function generates a random key for Redis with a specified size
    characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'
    return ''.join(random.choice(characters) for _ in range(size))

def set_random_value(key):
    # This function sets a random value to the generated key in Redis
    r = redis.Redis(host='localhost', port=6379, db=0)
    r.set(key, random_key_generation())
    return r.get(key)

def get_random_value(key):
    # This function retrieves the random value associated with the key from Redis
    r = redis.Redis(host='localhost', port=6379, db=0)
    return r.get(key)

